Package org.apache.sling.event.dea

## Class DEAConstants

- java.lang.Object
- - org.apache.sling.event.dea.DEAConstants

    public abstract class DEAConstants
    extends Object

The `DEAConstants` provides some constants for handling distributed OSGi events.

If an event should be sent to other instances, the event property `PROPERTY_DISTRIBUTE` should be set to an empty string.

An event, regardless if distributed or not, should never be created with the property `PROPERTY_APPLICATION`. In addition properties starting with "event.dea." are reserved attributes of this implementation and must not be used by custom events.

If the event is a local event, the `PROPERTY_APPLICATION` is not available. If it is available, it contains the application (Sling ID) of the instance where the event originated.

### Field Summary

Fields
`static String` `PROPERTY_APPLICATION` This event property specifies the application node.
`static String` `PROPERTY_DISTRIBUTE` This event property indicates, if the event should be distributed in the cluster.

### Constructor Summary

Constructors
`DEAConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROPERTY_DISTRIBUTE

    public static final String PROPERTY_DISTRIBUTE

This event property indicates, if the event should be distributed in the cluster.

See Also:
  Constant Field Values

#### PROPERTY_APPLICATION

    public static final String PROPERTY_APPLICATION

This event property specifies the application node.

See Also:
  Constant Field Values

### Constructor Detail

#### DEAConstants

    public DEAConstants()